This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 797252 - Java API version must be enforced/tested at build and/or release time
Java API version must be enforced/tested at build and/or release time
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
4.3
All All
high Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: 682878 jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-02-24 12:00 EST by Larry O'Leary
Modified: 2013-09-03 11:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-02-24 12:00:46 EST
With the introduction of new packages, classes, and methods in newer versions of the Java API, we need to be more careful in ensuring that all code is compliant with the targeted Java Runtime Environment (JRE). It appears that this enforcement may have once existed as per the check-java-api Maven profile but this profile does not appear to be executed during normal builds or even at release time.

For each development cycle special attention should be given to the supported Java API version and if functions from a later spec are desired to improve performance or ease of coding, reflection should be used to load the classes at run time if available and fall back to a compatible mode provided by the previous API version.
Comment 1 Mike Foley 2012-02-24 13:33:23 EST
fyi ... related BZ https://bugzilla.redhat.com/show_bug.cgi?id=734140
Comment 2 Mike Foley 2012-02-27 11:59:49 EST
triage loleary, asantos, crouch, mfoley  ...JON 3.1
Comment 4 Lukas Krejci 2012-03-14 12:00:00 EDT
master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=49f1a894ebace84ad814af127d767ec977732c8d
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Mar 14 16:58:36 2012 +0100

    [BZ 797252] - Add animal-sniffer plugin to the build to ensure the Java 6
    API compatibility.
Comment 5 Lukas Krejci 2012-03-14 12:35:29 EDT
master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=da691266ca631fc4c0ddd4bb10028ac0ac25f15a
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Mar 14 17:32:37 2012 +0100

    Reverting the previous commit. BZ 797252 needs more work.
    
    This reverts commit 49f1a894ebace84ad814af127d767ec977732c8d.
Comment 6 Lukas Krejci 2012-03-15 09:59:32 EDT
Marking this as verified, because the integration build with this change passes and there is nothing QE-testable on this bug.

master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=33d4196cc46c2195fe98af71e0353e7eeed85817
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Mar 15 14:16:57 2012 +0100

    [BZ 797252] - Add animal-sniffer plugin to the build to ensure the Java 6
    API compatibility.
Comment 7 Heiko W. Rupp 2013-09-03 11:12:24 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.